Revision 0c9f8b2a - 03/28/2020 04:46 PM - 1 @mizo0203
Add Replace push notifications from server with Server-Sent Events (SSE). fix #569 @5.0h

History

#1 - 03/28/2020 11:52 AM - [ I @mizo0203
- Description updated

#2 - 03/28/2020 04:47 PM - 10 @miz00203
- Status changed from 100 to010
- % Done changed from 40 to 80
#3 - 03/28/2020 04:56 PM - 11 @miz00203
- Status changed from 00 to010
- % Done changed from 80 to 100
$ curl -i http://localhost:8080/fastest-finger-first/stream
HTTP/1.1 200 OK

Server: Apache-Coyote/1.1

Content-Type: application/octet-stream;charset=UTF-8
Transfer-Encoding: chunked

Date: Sat, 28 Mar 2020 07:50:50 GMT

{"delayMs":"", "hero":"hero", "button":"<input class=\"button is-primary is-large is-fullwidth\" onclick=\"send/(
7);\" type=\"button\" value=\"PUSH !\"/>"}
$ curl -i http://localhost:8080/fastest-finger-first/stream
HTTP/1.1 200 OK

Server: Apache-Coyote/1.1

Cache-Control: no-cache

Connection: keep-alive

Content-Type: text/event-stream;charset=UTF-8
Transfer-Encoding: chunked

Date: Sat, 28 Mar 2020 07:50:44 GMT

event: open
event: message

data: {"delayMs":"","hero":"hero","button":"<input class=\"button is-primary is-large is-fullwidth\" onclick=\
"send (5);\" type=\"button\" value=\"PUSH !\"/>"}
https://github.com/mariomac/jeasse
https://mizo0203.com/projects/fastest-finger-first/repository/github/revisions/0c9f8b2a05f082ff78e23007d0ed25c5f1321fc5

#4 - 04/18/2020 12:46 PM - 10 @miz00203
- Blocked by 10 #564:000000000000000 added
